<?

require_header ('Амбар');

echo "<div class='content'>";
echo "<div class='block'>";
if($ku['money2x_time']>$time)echo "<li><img width='30'  alt='o' src='pavelgrey/img/2xmoney.png'> <a class='epic' href='/payment'>Двойной доход</a><span class='minor'> на <span>".time_left($ku['money2x_time']-$time)."</span></span></li>";
if(isset($_GET['sell_all']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]'"),0)!=0)
{
$q=mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]'");
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"));
$m=floor(($plant['money'])*$post['amount']);
if($ku['money2x_time']>=$time)$m=$m*2;
$cm=$cm+$m;
}
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$cm)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '$cm' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($cm/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$cm-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
mysql_query("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
  header("Location:/?warehouse");
exit;
}

if(isset($_GET['sell']) && intval($_GET['sell'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell'])."'"),0)!=0)
{
$pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell'])."'"),0);
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$pw[id_plant]'"));
$m=floor(($plant['money'])*$pw['amount']);
if($ku['money2x_time']>=$time)$m=$m*2;
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$m)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_warehouse` WHERE `id` = '$pw[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney` = '$m' WHERE `id` = '$ku[id]'");
if(isset($mc) && $mc['nalog']>0)
{
$nmoney=floor(($m/100)*$mc['nalog']);
mysql_query("UPDATE `kolhoz_user` SET `money` = '".($ku['money']+$m-$nmoney)."' WHERE `id` = '$ku[id]'");
mysql_query("INSERT INTO `kolhoz_collective_cash` SET `id_user` = '$ku[id]', `id_collective` = '$mc[id]', `count` = '$nmoney', `type` = 'money', `time` = '$time'");
mysql_query("UPDATE `kolhoz_collective` SET `money` = '".($mc['money']+$nmoney)."' WHERE `id` = '$mc[id]'");
}
  header("Location:/?warehouse");
exit;
}

if(isset($_GET['sell_all_market']) && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'"),0)!=0)
{
$q=mysql_query("SELECT * FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'");
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$post[id_plant2]'"));
$m=floor(($plant2['rubies'])*$post['count']);
$cm=$cm+$m;
}
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$cm)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney2` = '$cm' WHERE `id` = '$ku[id]'");
/*Налог временно убран
if(isset($mc) && $mc['nalog2']>0)
{
$nrubies=floor(($cm/100)*$mc['nalog2']);
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$cm-$nrubies)."' WHERE `id` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_collective_user` SET `money` = '".($mcu['money']+$nmoney)."' WHERE `id_user` = '$ku[id]'");
mysql_query("UPDATE `kolhoz_collective` SET `rubies` = '".($mc['rubies']+$nrubies)."' WHERE `id` = '$mc[id]'");
}*/
header("Location:/warehouse/".passgen());
exit;
}
if(isset($_GET['sell_market']) && intval($_GET['sell_market'])!=NULL && mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_market` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell_market'])."'"),0)!=0)
{
$pw=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_market` WHERE `id_user` = '$ku[id]' AND `id` = '".intval($_GET['sell_market'])."'"),0);
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$pw[id_plant2]'"));
$m=floor(($plant2['rubies'])*$pw['count']);
mysql_query("UPDATE `kolhoz_user` SET `rubies` = '".($ku['rubies']+$m)."' WHERE `id` = '$ku[id]'");
mysql_query("DELETE FROM `kolhoz_market` WHERE `id` = '$pw[id]'");
mysql_query("UPDATE `kolhoz_user` SET `umoney2` = '$m' WHERE `id` = '$ku[id]'");
header("Location:/warehouse/".passgen());
exit;
}



echo "<div><h3>Овощи</h3>";
echo "<ul class='ptm'>";
$q=mysql_query("SELECT * FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `amount` > '0' AND `fish` = '0'");
if(mysql_num_rows($q)==0)echo "<li>В амбаре нету овощей</li>";
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant` WHERE `id` = '$post[id_plant]'"));
$m=floor(($plant['money'])*$post['amount']);
if($ku['money2x_time']>=$time)$m=($m*2);
echo "<li><div><img width='16' height='16' src='images/icons/tomato.png' alt='o'> <span class='title'>".hsc($plant['name'])."</span> (<span>$post[amount]</span>): <a href='/warehouse/sell-$post[id]'>Продать</a> за <img width='16' height='16' src='images/icons/money.png' alt='o'> <span class='title'>".strkol($m)."</span>
</div></li>";
$cm=$cm+$m;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_warehouse` WHERE `id_user` = '$ku[id]' AND `fish`='0' AND `count`>'0'"),0)>1)echo "<li><img alt='*' width='16' height='16' src='images/icons/money.png'> <a href='/warehouse/sell_all'>Продать всё</a> за <img width='16' height='16' src='images/icons/money.png' alt='*'><span>".strkol($cm)."</span></li>";
echo "</ul></div>";



if($ku['level']>=20){

echo "<div><h3>Домашние заготовки</h3>";
echo "<ul class='ptm'>";
$q=mysql_query("SELECT * FROM `kolhoz_market` WHERE `id_user` = '$ku[id]' AND `arena` = '0'");
if(mysql_num_rows($q)==0)echo "<li>Для продажи ничего нету</li>";
$cm=0;
while($post=mysql_fetch_array($q))
{
$plant2=mysql_fetch_array(mysql_query("SELECT * FROM `kolhoz_plant2` WHERE `id` = '$post[id_plant2]'"));
$m=floor(($plant2['rubies'])*$post['count']);

echo "<li><div><img width='16' height='16' src='images/icons/recipes.png' alt='o'> <span class='title'>".hsc($plant2['name'])."</span> (<span>$post[count]</span>) <img width='16' height='16' src='images/icons/ruby.png' alt='o'> <span class='title'>$m</span>
</div></li>";




$cm=$cm+$m;
}
if(mysql_result(mysql_query("SELECT COUNT(*) FROM `kolhoz_market` WHERE `id_user` = '$ku[id]'"),0)>0)

echo "<li><img alt='*' width='16' height='16' src='images/icons/ruby.png'> <a href='/warehouse/sell_all_market'>Продать все заготовки</a>  </li>";


echo "</ul></div>";
}
echo "<div class='pt'><img width='16' height='16' src='images/icons/tomato.png' alt='*'> <a href='/buy_plant'>Купить овощи</a></div></div>";
include_once 'inc/foot.php';
?>